/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== config.h: header pour config.c
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef __FTRIS_CONFIG__
#define __FTRIS_CONFIG__

#define NOM_FICHIER_CONFIG  "ftris.cfg"

#define YES     1
#define NO      0
#define RANDOM  0

typedef struct
{
    int             *cfg_valeur_int;                /* NULL pour une chaine */
    unsigned char   *cfg_valeur_chaine;             /* NULL pour un entier  */
    int             cfg_valeur_int_par_defaut;      /* 0 pour une chaine    */
    unsigned char   *cfg_valeur_chaine_par_defaut;  /* NULL pour un entier  */
    int             cfg_valeur_int_lue;
    unsigned char   *cfg_valeur_chaine_lue;
} t_config;

extern int  volume_config;

extern void charge_config();
extern void sauve_config();
#endif
