/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== key.h: header pour key.c
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef __FTRIS_KEY__
#define __FTRIS_KEY__


#if defined(MSDOS) || defined(CYGWIN)
    #define SCANCODE_CURSORBLOCKUP      72
    #define SCANCODE_CURSORBLOCKDOWN    80
    #define SCANCODE_CURSORBLOCKLEFT    75
    #define SCANCODE_CURSORBLOCKRIGHT   77
    #define SCANCODE_PAGEUP             73
    #define SCANCODE_PAGEDOWN           81
    #define SCANCODE_HOME               71
    #define SCANCODE_END                79
    #define SCANCODE_LEFTCONTROL        29
    #define SCANCODE_RIGHTCONTROL       29
    #define SCANCODE_ENTER              28
    #define SCANCODE_KEYPADENTER        28
    #define SCANCODE_RIGHTALT           100
    #define SCANCODE_INSERT             110
    #define SCANCODE_REMOVE             111
#endif


extern unsigned char        scancode2ascii[2][127];

#if defined(MSDOS) || defined(CYGWIN)
extern unsigned char        key_tab[129];
extern unsigned char        key;
extern __dpmi_paddr         old_int09;
extern _go32_dpmi_seginfo   wrap_int09;
#else
unsigned char               *key_tab;
#endif

int                         key_shift, key_control, key_alt, kay_altgr;


extern void reinit_touches();
#if !defined(MSDOS) && !defined(CYGWIN)
extern void xkey2scancode_tab(unsigned int, int);
#endif
extern void teste_shift_ctrl_alt();
extern unsigned char scancode_2_ascii(int);

#endif
