/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== key.c: gestion du clavier
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef MSDOS
    #include <vgakeyboard.h>
#endif

#include "ftris.h"
#include "key.h"
#include "menu.h"

#ifndef MSDOS
#ifdef TOTO
unsigned int    xkey2scancode[129] =    /* PAS FINI, SERT A RIEN ???!!!  */
                { /*   1 */   0,   0,   0,   0,   0,   0,   0,   0,   1,   0,
                  /*  10 */   2,   3,   4,   5,   6,   7,   8,   9,  10,  11,
                  /*  20 */  12,  13,  14,  15,  16,  17,  18,  19,  20,  21,
                  /*  30 */  22,  23,  24,  25,  26,  27,  28,   0,   0,   0,
                  /*  40 */   0,   0,   0,   0,   0,   0,   0,   0,   0,  41,
                  /*  50 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
                  /*  60 */   0,   0,   0,   0,   0,   0,  58,  59,  60,  61,
                  /*  70 */  62,  63,  64,  65,  66,  67,  68,   0,   0,   0,
                  /*  80 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
                  /*  90 */   0,   0,   0,   0,   0,  87,  88,   0,   0,   0,
                  /* 100 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
                  /* 110 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
                  /* 120 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0 };
#endif
#endif

unsigned char   scancode2ascii[2][127] =
        { { /*   0 */   0,   0, '1', '2', '3', '4', '5', '6', '7', '8', '9',
            /*  11 */ '0', '-', '=',   0,   0, 'Q', 'W', 'E', 'R', 'T', 'Y',
            /*  22 */ 'U', 'I', 'O', 'P', '[', ']',   0,   0, 'A', 'S', 'D',
            /*  33 */ 'F', 'G', 'H', 'J', 'K', 'L', ';', '.',   0,   0,'\\',
            /*  44 */ 'Z', 'X', 'C', 'V', 'B', 'N', 'M', ',', '.', '?',   0,
            /*  55 */   0,   0, ' ',   0,   0,   0,   0,   0,   0,   0,   0,
            /*  66 */   0,   0,   0,   0,   0, '7', '8', '9',   0, '4', '5',
            /*  77 */ '6',   0, '1', '2', '3', '0', '.',   0,   0,   0,   0,
            /*  88 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
            /*  99 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
            /* 110 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
            /* 121 */   0,   0,   0,   0,   0,   0                           },
          { /*   0 */   0,   0, '&',   0, '"','\'', '(', '-',   0, '_',   0,
            /*  11 */   0, ')', '=',   0,   0, 'A', 'Z', 'E', 'R', 'T', 'Y',
            /*  22 */ 'U', 'I', 'O', 'P', '^', '$',   0,   0, 'Q', 'S', 'D',
            /*  33 */ 'F', 'G', 'H', 'J', 'K', 'L', 'M',   0,   0,   0, '*',
            /*  44 */ 'W', 'X', 'C', 'V', 'B', 'N', ',', ';', ':', '!',   0,
            /*  55 */   0,   0, ' ',   0,   0,   0,   0,   0,   0,   0,   0,
            /*  66 */   0,   0,   0,   0,   0, '7', '8', '9',   0, '4', '5',
            /*  77 */ '6',   0, '1', '2', '3', '0', '.',   0,   0, '<',   0,
            /*  88 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
            /*  99 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
            /* 110 */   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
            /* 121 */   0,   0,   0,   0,   0,   0                           } };


#ifdef MSDOS
unsigned char       key_tab[129];   /* sous Dos, on detourne l'int 09       */
                                    /* et elle alimente ce tableau          */
unsigned char       key;
__dpmi_paddr        old_int09;
_go32_dpmi_seginfo  wrap_int09;
#else
unsigned char       *key_tab;       /* sous Linux, on met simplement ici    */
                                    /* l'adresse du buffer gere par SVGALIB */
#endif

int                 key_shift,      /* etat des touches (1 = enfoncee)      */
                    key_control,
                    key_alt,
                    key_altgr;

/*
 * reinit_touches: reinitialise toutes les touches
 */

void reinit_touches()
{
    int     i;

    for (i = 0; i < 128; i++)
        key_tab[i] = 0;
}

/*
 * xkey2scancode_tab: renvoie un scancode a partir d'un code de touche X-Window
 */

#ifndef MSDOS
void xkey2scancode_tab(unsigned int key, int press)
{
    if (X_Window)
    {
        switch (key)
        {
            case 98:key = SCANCODE_CURSORBLOCKUP+8; break;
            case 100:key = SCANCODE_CURSORBLOCKLEFT+8; break;
            case 102:key = SCANCODE_CURSORBLOCKRIGHT+8; break;
            case 104:key = SCANCODE_CURSORBLOCKDOWN+8; break;
        }
    }
    key_tab[key-8] = press;
}
#endif

/*
 * teste_shift_ctrl_alt: teste l'etat des touches Shift, Control, Alt et AltGr
 */


void teste_shift_ctrl_alt()
{
    key_shift = ( (key_tab[42]) || (key_tab[54]) );
    key_control = (key_tab[SCANCODE_LEFTCONTROL] || key_tab[SCANCODE_RIGHTCONTROL]);
    key_alt = key_tab[56];
    key_altgr = key_tab[SCANCODE_RIGHTALT];
}

/*
 * scancode_2_ascii: transforme un scancode en code ASCII
 *                   en tenant compte des touches Shift et AltGr
 *                   et selon le clavier (Qwerty ou Azerty)
 */

unsigned char scancode_2_ascii(int scancode)
{
    if (key_shift)
    {
        if (clavier == QWERTY)
        {
            switch (scancode)
            {
                case 2:return '!';
                case 3:return '@';
                case 4:return '"';
                case 5:return '$';
                case 6:return '%';
                case 7:return '^';
                case 8:return '&';
                case 9:return '*';
                case 10:return '(';
                case 11:return ')';
                case 12:return '_';
                case 13:return '+';
                case 26:return '{';
                case 27:return '}';
                case 39:return ':';
                case 40:return 0;
                case 41:return '~';
                case 43:return '|';
                case 51:return '<';
                case 52:return '>';
                default:
                    return scancode2ascii[clavier][scancode];
            }
        }
        else
        {
            switch (scancode)
            {
                case 2:return '1';
                case 3:return '2';
                case 4:return '3';
                case 5:return '4';
                case 6:return '5';
                case 7:return '6';
                case 8:return '7';
                case 9:return '8';
                case 10:return '9';
                case 11:return '0';
                case 12:return 0;
                case 13:return '+';
                case 26:return 0;
                case 27:return 0;
                case 40:return '%';
                case 43:return 0;
                case 50:return '?';
                case 51:return '.';
                case 52:return '/';
                case 53:return 0;
                case 86:return '>';
                default:
                    return scancode2ascii[clavier][scancode];
            }
        }
    }
    else
        if (key_altgr)
        {
            if (clavier == QWERTY)
            {
                /*switch (scancode)
                {

                    default:
                        return 0;
                }*/
                /*  pas de AltGr sur un clavier Qwerty ????? */
                return 0;
            }
            else
            {
                switch (scancode)
                {
                    case 3:return '~';
                    case 4:return '#';
                    case 5:return '{';
                    case 6:return '[';
                    case 7:return '|';
                    case 9:return '\\';
                    case 10:return '^';
                    case 11:return '@';
                    case 12:return ']';
                    case 13:return '}';
                    default:
                        return 0;
                }
            }
        }
        else
            return scancode2ascii[clavier][scancode];
}
