/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== menu_gfx.h: header pour menu_gfx.c
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef __FTRIS_MENUGFX__
#define __FTRIS_MENUGFX__

extern void save_graphics_raw();
extern void affiche_tubes_menu(int, int);
extern void dessin_cadre_option(int, int, int, int);
extern int affiche_option(int, int, int, int, int, int, int);
extern void liste_choix_affiche_option(int);
extern void affiche_liste_choix();
extern void efface_liste_choix();
extern void efface_bulle();
extern void affiche_bulle(int, int, int, int, int);
extern void debut_edition_chaine(int, int, int, int, unsigned char *, int);
extern void fin_edition_chaine();
extern void fin_edition_chaine();
extern void edition_chaine_traite_touche();
extern void affiche_volume(int);
extern void efface_pos_musique(int);
extern void affiche_pos_musique(int, int);
extern void affiche_fond_menu(int, int, int);
extern void affiche_partie_menu(int, int, int, int);
extern void init_flames(int, int, int, int, t_sprite *);
extern void flames(int);
extern void flames_volume();
extern void flames_copyright();
extern void stop_flames();
extern void init_scrolltxt();
extern void scrolltxt();
extern void scroll_resauve_fond();
extern void scroll_restaure_fond();
extern void stop_scroll();
extern void init_brik_image();
extern void init_brik();
extern void brik_efface();
extern void brik_affiche();
extern void brik();
extern void stop_brik();
extern void pixels_init();
extern void pixels_calcule_nb();
extern void pixels_efface();
extern void pixels_affiche();
extern void pixels_sauve_fond();
extern void pixels_anim();
extern void efface_piece_preview(int, int, t_piece *);
extern void affiche_piece_preview(int, int, t_piece *);
extern void affiche_piece_suivante_preview(int, int, t_piece *);
extern void affiche_piece_suivante2_preview(int, int, t_piece *);
extern void affiche_pieces_suivantes_preview();
extern void redessine_preview(int, int);
extern void descend_pieces_preview();
extern void aide_flashtris();
extern void quitte_aide_flashtris();
extern void pieces_editor_affiche_case(int, int, int, int);
extern void pieces_editor_retourne_piece(int, int *, int *, int *);
extern void prepare_pieces_editor();
extern void quitte_pieces_editor();
extern void prepare_redefine_keys();
extern void quitte_redefine_keys();
extern void rotation_palette_barre();
extern void affiche_vu_metres();
extern void affiche_instrument(int, int, int);
extern void efface_instrument(int);
extern void affiche_instruments();
extern void affiche_barres_samples();
#endif
