/* ====
   ==== FlashTris Game, (c) 1999-2001 by FlashCode (Sebastien Helleu)
   ====
   ====    web: http://flashcode.free.fr
   ==== e-mail: flashcode@free.fr
   ====
   ==== net.h: header pour net.c
   ====

   ==== This file is part of FlashTris.
   ====
   ==== FlashTris is free software; you can redistribute it and/or modify
   ==== it under the terms of the GNU General Public License as published by
   ==== the Free Software Foundation; either version 2 of the License, or
   ==== (at your option) any later version.
   ====
   ==== FlashTris is distributed in the hope that it will be useful,
   ==== but WITHOUT ANY WARRANTY; without even the implied warranty of
   ==== MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   ==== GNU General Public License for more details.
   ====
   ==== You should have received a copy of the GNU General Public License
   ==== along with FlashTris; if not, write to the Free Software
   ==== Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Auteur  : FlashCode <flashcode@free.fr>
Creation: 1999/06/21

2001/09/06: FlashCode:
    - ajout de la licence
*/


#ifndef __FTRIS_NET__
#define __FTRIS_NET__

extern int      net_error;

extern int              udp_init(int, unsigned long *);
extern int              udp_send(unsigned long, int, int, unsigned char *);
extern int              udp_recv(int, unsigned char *, int *, unsigned long *);
extern int              udp_close();
extern unsigned long    udp_nom2addr(unsigned char *);

extern int              ipx_init(int, unsigned long *);
extern int              ipx_send(unsigned long, int, int, unsigned char *);
extern int              ipx_recv(int, unsigned char *, int *, unsigned long *);
extern int              ipx_close();
extern unsigned long    ipx_nom2addr(unsigned char *);

extern int              modem_init(int, unsigned long *);
extern int              modem_send(unsigned long, int, int, unsigned char *);
extern int              modem_recv(int, unsigned char *, int *, unsigned long *);
extern int              modem_close();
extern unsigned long    modem_nom2addr(unsigned char *);

#endif
